import asyncio
import pathlib

from ptvp35 import DbFactory, KVJson, VDELETE


async def main():
    path = pathlib.Path('test_delete.db')
    path.unlink(missing_ok=True)
    async with DbFactory(path, kvfactory=KVJson()) as connection:
        connection.set_nowait(0, 0)
        print(connection.get(0, 1))
        await connection.commit()
        async with connection.transaction() as transaction:
            print(transaction.get(0, 1))
            transaction.set_nowait(0, VDELETE)
            print(transaction.get(0, 1))
        input()
        print(connection.get(0, 1))
    # path.unlink(missing_ok=True)

asyncio.run(main())
